#! perl
# Copyright (C) 2001-2003, The Perl Foundation.
# $Id: /mirror/trunk/t/stress/gc.t 20926 2007-08-30T21:25:32.006552Z chromatic  $

=head1 NAME

t/stress/gc.t - Garbage Collection

=head1 SYNOPSIS

    % perl -Ilib t/stress/gc.t

=head1 DESCRIPTION

Tests garbage collection.

=cut

use strict;
use warnings;

use lib qw(lib . ../lib ../../lib);
use Parrot::Test tests => 1;
use Test::More;
use Parrot::PMC qw(%pmc_types);

pasm_output_is( <<'CODE', <<'OUTPUT', "arraystress" );
    print "starting\n"
    new P0, 'Integer'
    print "ending\n"
    end
CODE
starting
ending
OUTPUT

1;

# Local Variables:
#   mode: cperl
#   cperl-indent-level: 4
#   fill-column: 100
# End:
# vim: expandtab shiftwidth=4:
